Page MenuHomePhabricator

Decommission dbproxy1005.eqiad.wmnet
Open, NormalPublic

Description

This task will track the decommission of server dbproxy1005.eqiad.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

dbproxy1005
Steps for service owner:

  • - Remove grants T231280
  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/534563/
  • - unassign service owner from this task, check off completed steps, and assign to @RobH for followup on below steps.

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to Inventory (if decom) or Planned (if spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.
  • - IF RECLAIM: system added back to spares tracking (by onsite)

Details

Related Gerrit Patches:
operations/dns : masterwmnet: Remove DNS entries for dbproxy1005
operations/puppet : productionsite.pp: Remove references to dbproxy1005
operations/puppet : productionmariadb: Decommission dbproxy1005
operations/puppet : productiondbproxy1005: Disable notifications

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 4 2019, 7:58 AM
Marostegui triaged this task as Normal priority.Sep 4 2019, 7:59 AM
Marostegui moved this task from Triage to In progress on the DBA board.

Nothing uses dbproxy1005, but I am going to stop haproxy and leave it stopped for some hours before fully decommissioning this host just in case.

Change 534298 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] dbproxy1005: Disable notifications

https://gerrit.wikimedia.org/r/534298

Change 534298 merged by Marostegui:
[operations/puppet@production] dbproxy1005: Disable notifications

https://gerrit.wikimedia.org/r/534298

Mentioned in SAL (#wikimedia-operations) [2019-09-04T08:42:09Z] <marostegui> Stop HAproxy on dbproxy1005 - T231967

Marostegui updated the task description. (Show Details)Sep 5 2019, 5:10 AM
Marostegui updated the task description. (Show Details)Sep 5 2019, 6:03 AM

Change 534563 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommission dbproxy1005

https://gerrit.wikimedia.org/r/534563

Change 534563 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission dbproxy1005

https://gerrit.wikimedia.org/r/534563

Marostegui reassigned this task from Marostegui to RobH.Sep 5 2019, 6:39 AM
Marostegui updated the task description. (Show Details)
Marostegui edited projects, added decommission, ops-eqiad; removed Patch-For-Review, DBA.
Marostegui updated the task description. (Show Details)
Marostegui added a project: DC-Ops.

This host is ready for DC-Ops to get it decommissioned

Marostegui updated the task description. (Show Details)Sep 18 2019, 11:42 AM
Cmjohnson moved this task from Backlog to Decommission on the ops-eqiad board.Sep 19 2019, 12:08 PM

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: dbproxy1005.eqiad.wmnet

  • dbproxy1005.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 539528 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove DNS entries for dbproxy1005

https://gerrit.wikimedia.org/r/539528

Change 539530 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] site.pp: Remove references to dbproxy1005

https://gerrit.wikimedia.org/r/539530

Change 539530 merged by Marostegui:
[operations/puppet@production] site.pp: Remove references to dbproxy1005

https://gerrit.wikimedia.org/r/539530

Change 539528 merged by Marostegui:
[operations/dns@master] wmnet: Remove DNS entries for dbproxy1005

https://gerrit.wikimedia.org/r/539528

Marostegui reassigned this task from RobH to Cmjohnson.Sep 27 2019, 1:12 PM
Marostegui removed a project: Patch-For-Review.
Marostegui updated the task description. (Show Details)

Host ready for switch disablement and on-site steps

Jclark-ctr added a subscriber: Cmjohnson.